# module Prism::InterpolatedStringNodeFlags

Flags for interpolated string nodes that indicated mutability if they are also marked as literals.

### Constants

FROZEN

  frozen by virtue of a ‘frozen_string_literal: true` comment or `–enable-frozen-string-literal`; only for adjacent string literals like `’a’ ‘b’‘

MUTABLE

  mutable by virtue of a ‘frozen_string_literal: false` comment or `–disable-frozen-string-literal`; only for adjacent string literals like `’a’ ‘b’‘